## Apache Zeta Components Manual :: Docs For Class ezcConsoleQuestionDialogValidator

### ConsoleTools::ezcConsoleQuestionDialogValidator

### Interface ezcConsoleQuestionDialogValidator

Interface that every console question dialog validator class must implement.

Source for this file: /ConsoleTools/src/interfaces/question_dialog_validator.php

    ezcConsoleDialogValidator
       |
       --ezcConsoleQuestionDialogValidator

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcConsoleMenuDialogValidator | Interface that every console menu dialog validator class must implement.

### Inherited Constants

From ezcConsoleDialogValidator:
`ezcConsoleDialogValidator::CONVERT_LOWER` | Convert result to lower-case.
`ezcConsoleDialogValidator::CONVERT_NONE` | Perform no conversion on the result.
`ezcConsoleDialogValidator::CONVERT_UPPER` | Convert result to upper-case.

### Method Summary

public string | `getResultString( )` Returns a string of possible results to be displayed with the question.

### Inherited Methods

From ezcConsoleDialogValidator
public mixed | `ezcConsoleDialogValidator::fixup()` Returns a fixed version of the result, if possible.
public bool | `ezcConsoleDialogValidator::validate()` Returns if the given result is valid.

### Methods

#### getResultString

string getResultString( )

Returns a string of possible results to be displayed with the question.

For example "(y/n) [y]" to indicate "y" and "n" are valid values and "y" is preselected.

Documentation generated by phpDocumentor 1.4.3